Bug 1574460 - Null pointer dereference in sha256_ssse3 module
Summary: Null pointer dereference in sha256_ssse3 module
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 11:20 UTC by Tomasz Torcz
Modified: 2019-10-25 08:58 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-17 20:01:55 UTC
Type: Bug
tomek: needinfo-


Attachments (Terms of Use)
dmesg-4.16.6-300.fc28.x86_64.txt (192.99 KB, text/plain)
2018-05-03 11:21 UTC, Tomasz Torcz
no flags Details

Description Tomasz Torcz 2018-05-03 11:20:34 UTC
Description of problem:
During startup, there a bunch of tracebacks in sha256_ssse3 module, the first one being:

[   11.233422] BUG: unable to handle kernel NULL pointer dereference at 0000000000000088
[   11.233484] IP: keyring_search_aux+0x2d/0x90
[   11.233531] PGD 0 P4D 0 
[   11.233577] Oops: 0000 [#1] SMP PTI
[   11.233622] Modules linked in: sha256_ssse3(E)
[   11.233672] CPU: 0 PID: 137 Comm: modprobe Tainted: G            E    4.16.6-300.fc28.x86_64 #1
[   11.233724] Hardware name: LENOVO 7417CTO/7417CTO, BIOS 7UET94WW (3.24 ) 10/17/2012
[   11.233776] RIP: 0010:keyring_search_aux+0x2d/0x90
[   11.233823] RSP: 0018:ffffb3ad01453b80 EFLAGS: 00010202
[   11.233872] RAX: ffffffffffffffec RBX: ffffb3ad01453b98 RCX: 0000000000000067
[   11.233922] RDX: 0000000000000066 RSI: ffffb3ad01453b98 RDI: 0000000000000001
[   11.233973] RBP: 0000000000000000 R08: 0000000000000007 R09: ffff9741edaae9ee
[   11.234002] R10: ffff9741edaae9ee R11: ffff9741edaae1ee R12: ffffffff822c6000
[   11.234002] R13: fffffffffffffff4 R14: 0000000000000000 R15: ffff9741edaae182
[   11.234002] FS:  00007f07442b80c0(0000) GS:ffff9741fbc00000(0000) knlGS:0000000000000000
[   11.234002] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   11.234002] CR2: 0000000000000088 CR3: 000000022d08c000 CR4: 00000000000006f0
[   11.234002] Call Trace:
[   11.234002]  keyring_search+0x88/0xd0
[   11.234002]  ? asymmetric_key_id_partial+0x40/0x40
[   11.234002]  ? key_default_cmp+0x20/0x20
[   11.234002]  find_asymmetric_key+0xa1/0x1b0
[   11.234002]  pkcs7_validate_trust+0x15c/0x230
[   11.234002]  verify_pkcs7_signature+0xa2/0x130
[   11.234002]  mod_verify_sig+0x85/0xa8
[   11.234002]  ? load_module+0x2f7/0x2450
[   11.234002]  ? map_vm_area+0x32/0x40
[   11.234002]  ? __vmalloc_node_range+0x173/0x290
[   11.234002]  ? SYSC_init_module+0x138/0x180
[   11.234002]  ? SYSC_init_module+0x138/0x180
[   11.234002]  ? do_syscall_64+0x74/0x180
[   11.234002]  ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
[   11.234002] Code: 66 66 90 55 48 89 fd 48 c7 c0 ec ff ff ff 48 83 e5 fe 53 40 88 7e 54 48 c7 46 48 c0 7c 39 81 80 66 54 01 48 c7 46 58 f5 ff ff ff <48> 81 bd 88 00 00 00 a0 91 2b 82 74 03 5b 5d c3 48 89 f3 f6 46 
[   11.234002] RIP: keyring_search_aux+0x2d/0x90 RSP: ffffb3ad01453b80
[   11.234002] CR2: 0000000000000088
[   11.235639] ---[ end trace 1bb32e01df4f31b7 ]---

This continues, eventually causing parts of GNOME session to crash.
I'm attaching full dmesg log.
For the time being I'm back at kernel 4.15.11-300.fc27.x86_64, which works fine.


Version-Release number of selected component (if applicable):
4.16.6-300.fc28.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Boot computer.

Additional info:
My CPU is:
Vendor ID:           GenuineIntel
CPU family:          6
Model:               23
Model name:          Intel(R) Core(TM)2 Duo CPU     P8600  @ 2.40GHz
Stepping:            6
Flags:               fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts nopl cpuid aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 lahf_lm pti tpr_shadow vnmi flexpriority dtherm

Comment 1 Tomasz Torcz 2018-05-03 11:21:43 UTC
Created attachment 1430621 [details]
dmesg-4.16.6-300.fc28.x86_64.txt

Comment 2 Laura Abbott 2018-05-03 21:23:55 UTC
[    0.693563] request_module: kmod_concurrent_max (0) close to 0 (max_modprobes: 50), for module crypto-sha256, throttling...
[    6.112011] request_module: modprobe crypto-sha256 cannot be processed, kmod busy with 50 threads for more than 5 seconds now
[    6.112013] request_module: kmod_concurrent_max (0) close to 0 (max_modprobes: 50), for module crypto-sha256-all, throttling...
[   11.232007] request_module: modprobe crypto-sha256-all cannot be processed, kmod busy with 50 threads for more than 5 seconds now
[   11.232064] sha256_ssse3: module verification failed: signature and/or required key missing - tainting kernel

That last line doesn't look right, are you using a custom key setup?

Comment 3 Tomasz Torcz 2018-05-04 07:05:23 UTC
Not at all, this is plain F28 kernel.
Also this laptop is pre-UEFI, so no Secure Boot either.

Comment 4 Tomasz Torcz 2018-05-04 17:12:04 UTC
The same happens with 4.16.7-300.fc28.x86_64:

[  +0,412671] Freeing initrd memory: 24564K
[  +0,110779] request_module: kmod_concurrent_max (0) close to 0 (max_modprobes: 50), for module crypto-sha256, throttling...
[  +5,398373] request_module: modprobe crypto-sha256 cannot be processed, kmod busy with 50 threads for more than 5 seconds now
[  +0,000115] request_module: kmod_concurrent_max (0) close to 0 (max_modprobes: 50), for module crypto-sha256-all, throttling...
[  +5,119881] request_module: modprobe crypto-sha256-all cannot be processed, kmod busy with 50 threads for more than 5 seconds now
[  +0,000166] sha256_ssse3: module verification failed: signature and/or required key missing - tainting kernel
[  +0,001579] BUG: unable to handle kernel NULL pointer dereference at 0000000000000088
[  +0,000112] IP: keyring_search_aux+0x2d/0x90
[  +0,000073] PGD 0 P4D 0 
[  +0,000065] Oops: 0000 [#1] SMP PTI
[  +0,000000] Modules linked in: sha256_ssse3(E)
[  +0,000000] CPU: 1 PID: 137 Comm: modprobe Tainted: G            E    4.16.7-300.fc28.x86_64 #1
[  +0,000000] Hardware name: LENOVO 7417CTO/7417CTO, BIOS 7UET94WW (3.24 ) 10/17/2012
[  +0,000000] RIP: 0010:keyring_search_aux+0x2d/0x90
[  +0,000000] RSP: 0018:ffffa70881453b80 EFLAGS: 00010202
[  +0,000000] RAX: ffffffffffffffec RBX: ffffa70881453b98 RCX: 0000000000000067
[  +0,000000] RDX: 0000000000000066 RSI: ffffa70881453b98 RDI: 0000000000000001
[  +0,000000] RBP: 0000000000000000 R08: 0000000000000007 R09: ffff9b726db62e6e
[  +0,000000] R10: ffff9b726db62e6e R11: ffff9b726db6296e R12: ffffffffa42c6000
[  +0,000000] R13: fffffffffffffff4 R14: 0000000000000000 R15: ffff9b726db62902
[  +0,000000] FS:  00007f809a1a20c0(0000) GS:ffff9b727bc80000(0000) knlGS:0000000000000000
[  +0,000000] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  +0,000000] CR2: 0000000000000088 CR3: 000000022d0a0000 CR4: 00000000000006e0
[  +0,000000] Call Trace:
[  +0,000000]  keyring_search+0x88/0xd0
[  +0,000000]  ? asymmetric_key_id_partial+0x40/0x40
[  +0,000000]  ? key_default_cmp+0x20/0x20
[  +0,000000]  find_asymmetric_key+0xa1/0x1b0
[  +0,000000]  pkcs7_validate_trust+0x15c/0x230
[  +0,000000]  verify_pkcs7_signature+0xa2/0x130
[  +0,000000]  mod_verify_sig+0x85/0xa8
[  +0,000000]  ? load_module+0x2f7/0x2450
[  +0,000000]  ? map_vm_area+0x32/0x40
[  +0,000000]  ? __vmalloc_node_range+0x173/0x290
[  +0,000000]  ? SYSC_init_module+0x138/0x180
[  +0,000000]  ? SYSC_init_module+0x138/0x180
[  +0,000000]  ? do_syscall_64+0x74/0x180
[  +0,000000]  ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
[  +0,000000] Code: 66 66 90 55 48 89 fd 48 c7 c0 ec ff ff ff 48 83 e5 fe 53 40 88 7e 54 48 c7 46 48 c0 7d 39 a3 80 66 54 01 48 c7 46 58 f5 ff ff ff <48> 81 bd 88 00 00 00 a0 91 2b a4 74 03 5b 5d c3 48 89 f3 f6 46 
[  +0,000000] RIP: keyring_search_aux+0x2d/0x90 RSP: ffffa70881453b80
[  +0,000000] CR2: 0000000000000088
[  +0,002594] ---[ end trace 689ae3ac8d194606 ]---

Comment 5 Laura Abbott 2018-05-04 18:06:30 UTC
So what I think is happening is your system is requesting the module to do signature verification but there are already threads for module request in flight so it fails. The keyring isn't handling this case and it's crashing. I think bisection is going to be the best way to figure out what changed since nobody else seems to be reporting this problem.

Note that I might have thought this was caused by fallout from the recent getrandom changes but if 4.16.7 works that isn't it.

Comment 6 Justin M. Forbes 2018-07-23 14:51:55 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 7 Tomasz Torcz 2018-08-24 16:38:18 UTC
Hey,
I bought new laptop, installed f29 kernel (to check with 4.18) and it is still happening with 4.18.4-300.fc29.x86_64


[   11.329067] BUG: unable to handle kernel NULL pointer dereference at 0000000000000088
[   11.329073] PGD 0 P4D 0 
[   11.329079] Oops: 0000 [#49] SMP PTI
[   11.329084] CPU: 4 PID: 82 Comm: modprobe Tainted: G      D     E     4.18.4-300.fc29.x86_64 #1
[   11.329088] Hardware name: LENOVO 20L7001RPB/20L7001RPB, BIOS N22ET48W (1.25 ) 07/18/2018
[   11.329094] RIP: 0010:keyring_search_aux+0x2d/0x90
[   11.329097] Code: 00 00 55 48 89 fd 48 c7 c0 ec ff ff ff 48 83 e5 fe 53 40 88 7e 54 48 c7 46 48 70 e7 3b a4 80 66 54 01 48 c7 46 58 f5 ff ff ff <48> 81 bd 88 00 00 00 80 a4 2b a5 74 03 5b 5d c3 48 89 f3 f6 46 40 
[   11.329140] RSP: 0018:ffffbb9fc38f7b80 EFLAGS: 00010202
[   11.329144] RAX: ffffffffffffffec RBX: ffffbb9fc38f7b98 RCX: 0000000000000067
[   11.329148] RDX: 0000000000000066 RSI: ffffbb9fc38f7b98 RDI: 0000000000000001
[   11.329151] RBP: 0000000000000000 R08: 0000000000000007 R09: ffff9637a60dc5f9
[   11.329155] R10: ffff9637a60dc5f9 R11: ffff9637a60dc7f9 R12: ffffffffa52c81c0
[   11.329159] R13: fffffffffffffff4 R14: 0000000000000000 R15: ffff9637a60dc782
[   11.329163] FS:  00007f42028610c0(0000) GS:ffff9637c2500000(0000) knlGS:0000000000000000
[   11.329167] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   11.329171] CR2: 0000000000000088 CR3: 000000066145c004 CR4: 00000000003606e0
[   11.329174] Call Trace:
[   11.329180]  keyring_search+0x88/0xd0
[   11.329186]  ? asymmetric_key_id_partial+0x40/0x40
[   11.329190]  ? key_default_cmp+0x20/0x20
[   11.329196]  find_asymmetric_key+0xa1/0x1b0
[   11.329201]  pkcs7_validate_trust+0x15c/0x230
[   11.329206]  verify_pkcs7_signature+0xa2/0x130
[   11.329211]  mod_verify_sig+0x85/0xa8
[   11.329215]  load_module+0x2f7/0x24a0
[   11.329220]  ? vmap_page_range_noflush+0x256/0x3c0
[   11.329225]  ? map_vm_area+0x32/0x40
[   11.329229]  ? __vmalloc_node_range+0x17d/0x290
[   11.329234]  ? __do_sys_init_module+0x13f/0x180
[   11.329239]  ? _cond_resched+0x15/0x30
[   11.329243]  __do_sys_init_module+0x13f/0x180
[   11.329249]  do_syscall_64+0x5b/0x160
[   11.329254]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[   11.329258] RIP: 0033:0x7f4201d26ada
[   11.329260] Code: 48 8b 0d c9 e3 2b 00 f7 d8 64 89 01 48 83 c8 ff c3 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 49 89 ca b8 af 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 96 e3 2b 00 f7 d8 64 89 01 48 
[   11.329304] RSP: 002b:00007ffd7c3793b8 EFLAGS: 00000246 ORIG_RAX: 00000000000000af
[   11.329309] RAX: ffffffffffffffda RBX: 0000557e500c5d40 RCX: 00007f4201d26ada
[   11.329313] RDX: 0000557e4e44d3e6 RSI: 0000000000008686 RDI: 0000557e500d4770
[   11.329316] RBP: 0000557e4e44d3e6 R08: 0000000000000001 R09: 0000000000000000
[   11.329320] R10: 0000557e500c5010 R11: 0000000000000246 R12: 0000557e500d4770
[   11.329323] R13: 0000557e500c5ce0 R14: 0000000000040000 R15: 0000000000000000
[   11.329328] Modules linked in: sha256_ssse3(E)
[   11.329332] CR2: 0000000000000088
[   11.329336] ---[ end trace bca402533cbe035f ]---
[   11.329340] RIP: 0010:keyring_search_aux+0x2d/0x90
[   11.329343] Code: 00 00 55 48 89 fd 48 c7 c0 ec ff ff ff 48 83 e5 fe 53 40 88 7e 54 48 c7 46 48 70 e7 3b a4 80 66 54 01 48 c7 46 58 f5 ff ff ff <48> 81 bd 88 00 00 00 80 a4 2b a5 74 03 5b 5d c3 48 89 f3 f6 46 40 
[   11.329385] RSP: 0018:ffffbb9fc3d77b80 EFLAGS: 00010202
[   11.329389] RAX: ffffffffffffffec RBX: ffffbb9fc3d77b98 RCX: 0000000000000067
[   11.329392] RDX: 0000000000000066 RSI: ffffbb9fc3d77b98 RDI: 0000000000000001
[   11.329396] RBP: 0000000000000000 R08: 0000000000000007 R09: ffff9637a6011ff9
[   11.329400] R10: ffff9637a6011ff9 R11: ffff9637a60117f9 R12: ffffffffa52c81c0
[   11.329403] R13: fffffffffffffff4 R14: 0000000000000000 R15: ffff9637a6011782
[   11.329407] FS:  00007f42028610c0(0000) GS:ffff9637c2500000(0000) knlGS:0000000000000000
[   11.329412] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   11.329415] CR2: 0000000000000088 CR3: 000000066145c004 CR4: 00000000003606e0


Any ideas what could cause it? What more info can I provide? Only kernel customisation I did was to enable COPR with wireguard module: https://copr.fedorainfracloud.org/coprs/jdoss/wireguard/
I had to disable Secure Boot to have the module loaded.

Comment 8 Laura Abbott 2018-10-01 21:12:01 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 9 Tomasz Torcz 2018-10-02 17:18:07 UTC
% dmesg -t | grep RIP | sort -u
RIP: 0010:keyring_search_aux+0x2d/0x90
RIP: 0033:0x7f06b8915f5e
RIP: 0033:0x7f08333daf5e
(and many more)


4.18.10-300.fc29.x86_64

Comment 10 Tomasz Torcz 2018-11-19 17:16:41 UTC
The same traces with 4.19.2-301.fc29.x86_64

Comment 11 Jeremy Cline 2018-12-03 17:28:29 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.
 
Fedora 29 has now been rebased to 4.19.5-300.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.

Comment 12 Tomasz Torcz 2018-12-03 18:54:11 UTC
Still present.

[  +0,001692] BUG: unable to handle kernel NULL pointer dereference at 0000000000000088
[  +0,000006] PGD 0 P4D 0 
[  +0,000005] Oops: 0000 [#3] SMP PTI
[  +0,000005] CPU: 6 PID: 164 Comm: modprobe Tainted: G      D     E     4.19.5-300.fc29.x86_64 #1
[  +0,000004] Hardware name: LENOVO 20L7001RPB/20L7001RPB, BIOS N22ET48W (1.25 ) 07/18/2018
[  +0,000007] RIP: 0010:keyring_search_aux+0x2d/0x90
[  +0,000004] Code: 00 00 55 48 89 fd 48 c7 c0 ec ff ff ff 48 83 e5 fe 53 40 88 7e 54 48 c7 46 48 80 a9 3c b1 80 66 54 01 48 c7 46 58 f5 ff ff ff <48> 81 bd 88 00 00 00 40 d5 2b b2 74 03 5b 5d c3 48 89 f3 f6 46 40
[  +0,000006] RSP: 0018:ffffaac383cf3b80 EFLAGS: 00010202
[  +0,000004] RAX: ffffffffffffffec RBX: ffffaac383cf3b98 RCX: 0000000000000067
[  +0,000004] RDX: 0000000000000066 RSI: ffffaac383cf3b98 RDI: 0000000000000001
[  +0,000003] RBP: 0000000000000000 R08: 0000000000000007 R09: ffff926966654979
[  +0,000004] R10: ffff926966654979 R11: ffff926966654879 R12: ffffffffb22cb2e0
[  +0,000003] R13: fffffffffffffff4 R14: 0000000000000000 R15: ffff926966654802
[  +0,000004] FS:  00007f32af9a1280(0000) GS:ffff92696a580000(0000) knlGS:0000000000000000
[  +0,000005] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  +0,000003] CR2: 0000000000000088 CR3: 00000006613d6005 CR4: 00000000003606e0
[  +0,000003] Call Trace:
[  +0,000007]  keyring_search+0x88/0xd0
[  +0,000005]  ? asymmetric_key_id_partial+0x40/0x40
[  +0,000005]  ? key_default_cmp+0x20/0x20
[  +0,000005]  find_asymmetric_key+0xa1/0x1b0
[  +0,000006]  pkcs7_validate_trust+0x15c/0x230
[  +0,000006]  verify_pkcs7_signature+0xa2/0x130
[  +0,000005]  mod_verify_sig+0x87/0xaa
[  +0,000005]  load_module+0x654/0x22d0
[  +0,000006]  ? vmap_page_range_noflush+0x256/0x3c0
[  +0,000006]  ? map_vm_area+0x32/0x40
[  +0,000004]  ? __vmalloc_node_range+0x17d/0x290
[  +0,000005]  ? __do_sys_init_module+0x13d/0x180
[  +0,000005]  __do_sys_init_module+0x13d/0x180
[  +0,000006]  do_syscall_64+0x5b/0x160
[  +0,000005]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[  +0,000004] RIP: 0033:0x7f32afac209e
[  +0,000004] Code: 48 8b 0d ed 1d 0c 00 f7 d8 64 89 01 48 83 c8 ff c3 66 2e 0f 1f 84 00 00 00 00 00 90 f3 0f 1e fa 49 89 ca b8 af 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d ba 1d 0c 00 f7 d8 64 89 01 48
[  +0,000006] RSP: 002b:00007ffce04e9868 EFLAGS: 00000246 ORIG_RAX: 00000000000000af
[  +0,000005] RAX: ffffffffffffffda RBX: 0000560f0c333d40 RCX: 00007f32afac209e
[  +0,000003] RDX: 0000560f0b4e8346 RSI: 0000000000008686 RDI: 0000560f0c342770
[  +0,000004] RBP: 0000560f0b4e8346 R08: 0000000000000001 R09: 0000000000000000
[  +0,000003] R10: 0000560f0c333010 R11: 0000000000000246 R12: 0000560f0c342770
[  +0,000004] R13: 0000560f0c333ce0 R14: 0000000000040000 R15: 0000000000000000
[  +0,000004] Modules linked in: sha256_ssse3(E)
[  +0,000005] CR2: 0000000000000088
[  +0,000003] ---[ end trace d6b57131422e4125 ]---

Comment 13 Tomasz Torcz 2019-01-26 17:13:59 UTC
Guess what? No improvement with 4.20:

[  +0,000049] Unpacking initramfs...
[  +0,563335] Freeing initrd memory: 24888K
[  +0,140628] request_module: kmod_concurrent_max (0) close to 0 (max_modprobes: 50), for module crypto-sha256, throttling...
[  +5,111792] request_module: modprobe crypto-sha256 cannot be processed, kmod busy with 50 threads for more than 5 seconds now
[  +0,000034] request_module: kmod_concurrent_max (0) close to 0 (max_modprobes: 50), for module crypto-sha256-all, throttling...
[  +5,119957] request_module: modprobe crypto-sha256-all cannot be processed, kmod busy with 50 threads for more than 5 seconds now
[  +0,000070] sha256_ssse3: module verification failed: signature and/or required key missing - tainting kernel
[  +0,000360] request_module: kmod_concurrent_max (0) close to 0 (max_modprobes: 50), for module cryptomgr, throttling...
[  +5,119566] request_module: modprobe cryptomgr cannot be processed, kmod busy with 50 threads for more than 5 seconds now
[  +0,000182] request_module: kmod_concurrent_max (0) close to 0 (max_modprobes: 50), for module cryptomgr, throttling...
[sty26 18:00] request_module: modprobe cryptomgr cannot be processed, kmod busy with 50 threads for more than 5 seconds now
[  +0,000163] request_module: kmod_concurrent_max (0) close to 0 (max_modprobes: 50), for module cryptomgr, throttling...
[  +5,119836] request_module: modprobe cryptomgr cannot be processed, kmod busy with 50 threads for more than 5 seconds now
[  +0,000161] request_module: kmod_concurrent_max (0) close to 0 (max_modprobes: 50), for module cryptomgr, throttling...
[  +5,119836] request_module: modprobe cryptomgr cannot be processed, kmod busy with 50 threads for more than 5 seconds now
[  +0,000169] request_module: kmod_concurrent_max (0) close to 0 (max_modprobes: 50), for module cryptomgr, throttling...
[  +5,119833] request_module: modprobe cryptomgr cannot be processed, kmod busy with 50 threads for more than 5 seconds now
[  +0,000157] request_module: kmod_concurrent_max (0) close to 0 (max_modprobes: 50), for module cryptomgr, throttling...
[  +5,119841] request_module: modprobe cryptomgr cannot be processed, kmod busy with 50 threads for more than 5 seconds now
[  +0,001870] BUG: unable to handle kernel NULL pointer dereference at 0000000000000088
[  +0,000010] PGD 0 P4D 0 
[  +0,000005] Oops: 0000 [#1] SMP PTI
[  +0,000005] CPU: 5 PID: 166 Comm: modprobe Tainted: G            E     4.20.4-200.fc29.x86_64 #1
[  +0,000005] Hardware name: LENOVO 20L7001RPB/20L7001RPB, BIOS N22ET50W (1.27 ) 11/07/2018
[  +0,000009] RIP: 0010:keyring_search_aux+0x2d/0x90
[  +0,000004] Code: 00 00 55 48 89 fd 48 c7 c0 ec ff ff ff 48 83 e5 fe 53 40 88 7e 54 48 c7 46 48 40 dc 3c 91 80 66 54 01 48 c7 46 58 f5 ff ff ff <48> 81 bd 88 00 00 00 a0 4b 2b 92 74 03 5b 5d c3 48 89 f3 f6 46 40
[  +0,000006] RSP: 0018:ffff9995c3d0bb80 EFLAGS: 00010202
[  +0,000004] RAX: ffffffffffffffec RBX: ffff9995c3d0bb98 RCX: 0000000000000067
[  +0,000004] RDX: 0000000000000066 RSI: ffff9995c3d0bb98 RDI: 0000000000000001
[  +0,000004] RBP: 0000000000000000 R08: 0000000000000007 R09: ffff8bafa65ba779
[  +0,000003] R10: ffff8bafa65ba779 R11: ffff8bafa65ba3f9 R12: ffffffff922c2aa0
[  +0,000004] R13: fffffffffffffff4 R14: 0000000000000000 R15: ffff8bafa65ba382
[  +0,000004] FS:  00007f3f7bd66280(0000) GS:ffff8bafaa540000(0000) knlGS:0000000000000000
[  +0,000005] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  +0,000003] CR2: 0000000000000088 CR3: 0000000660404002 CR4: 00000000003606e0
[  +0,000004] Call Trace:
[  +0,000008]  keyring_search+0x88/0xd0
[  +0,000006]  ? asymmetric_key_id_partial+0x40/0x40
[  +0,000005]  ? key_default_cmp+0x20/0x20
[  +0,000007]  find_asymmetric_key+0xa1/0x1b0
[  +0,000013]  pkcs7_validate_trust+0x15c/0x230
[  +0,000007]  verify_pkcs7_signature+0xa2/0x130
[  +0,000006]  mod_verify_sig+0x87/0xaa
[  +0,000005]  load_module+0x679/0x22f0
[  +0,000007]  ? vmap_page_range_noflush+0x256/0x3c0
[  +0,000005]  ? map_vm_area+0x32/0x40
[  +0,000005]  ? __vmalloc_node_range+0x17d/0x290
[  +0,000005]  ? __do_sys_init_module+0x13d/0x180
[  +0,000004]  __do_sys_init_module+0x13d/0x180
[  +0,000008]  do_syscall_64+0x5b/0x160
[  +0,000006]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[  +0,000005] RIP: 0033:0x7f3f7be870ee
[  +0,000003] Code: 48 8b 0d 9d 1d 0c 00 f7 d8 64 89 01 48 83 c8 ff c3 66 2e 0f 1f 84 00 00 00 00 00 90 f3 0f 1e fa 49 89 ca b8 af 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 6a 1d 0c 00 f7 d8 64 89 01 48
[  +0,000006] RSP: 002b:00007fff9d5db028 EFLAGS: 00000246 ORIG_RAX: 00000000000000af
[  +0,000005] RAX: ffffffffffffffda RBX: 000055e3deb6fcf0 RCX: 00007f3f7be870ee
[  +0,000004] RDX: 000055e3de7ae346 RSI: 0000000000008806 RDI: 000055e3deb7e770
[  +0,000003] RBP: 000055e3de7ae346 R08: 000055e3deb6fb20 R09: 0000000000000000
[  +0,000004] R10: 0000000000000001 R11: 0000000000000246 R12: 000055e3deb7e770
[  +0,000003] R13: 000055e3deb6fe70 R14: 0000000000040000 R15: 0000000000000000
[  +0,000005] Modules linked in: sha256_ssse3(E)
[  +0,000004] CR2: 0000000000000088
[  +0,000006] ---[ end trace ead00b3e1ae98fb1 ]---
[  +0,000005] RIP: 0010:keyring_search_aux+0x2d/0x90
[  +0,000004] Code: 00 00 55 48 89 fd 48 c7 c0 ec ff ff ff 48 83 e5 fe 53 40 88 7e 54 48 c7 46 48 40 dc 3c 91 80 66 54 01 48 c7 46 58 f5 ff ff ff <48> 81 bd 88 00 00 00 a0 4b 2b 92 74 03 5b 5d c3 48 89 f3 f6 46 40
[  +0,000006] RSP: 0018:ffff9995c3d0bb80 EFLAGS: 00010202
[  +0,000003] RAX: ffffffffffffffec RBX: ffff9995c3d0bb98 RCX: 0000000000000067
[  +0,000004] RDX: 0000000000000066 RSI: ffff9995c3d0bb98 RDI: 0000000000000001
[  +0,000004] RBP: 0000000000000000 R08: 0000000000000007 R09: ffff8bafa65ba779
[  +0,000003] R10: ffff8bafa65ba779 R11: ffff8bafa65ba3f9 R12: ffffffff922c2aa0
[  +0,000003] R13: fffffffffffffff4 R14: 0000000000000000 R15: ffff8bafa65ba382
[  +0,000005] FS:  00007f3f7bd66280(0000) GS:ffff8bafaa540000(0000) knlGS:0000000000000000
[  +0,000004] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  +0,000003] CR2: 0000000000000088 CR3: 0000000660404002 CR4: 00000000003606e0
[  +0,001699] BUG: unable to handle kernel NULL pointer dereference at 0000000000000088
[  +0,000006] PGD 0 P4D 0 
…

Comment 14 Justin M. Forbes 2019-08-20 17:39:08 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 5.2.9-100.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.

If you experience different issues, please open a new bug report for those.

Comment 15 Justin M. Forbes 2019-09-17 20:01:55 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.